diff --git a/include/ltests.h b/include/ltests.h
index 5bce37e6..760dc730 100644
--- a/include/ltests.h
+++ b/include/ltests.h
@@ -1,5 +1,5 @@
 /*
-** $Id: ltests.h,v 2.47 2014/12/26 14:44:44 roberto Exp $
+** $Id: ltests.h,v 2.49 2015/09/22 14:18:24 roberto Exp $
 ** Internal Header for Debugging of the Lua Implementation
 ** See Copyright Notice in lua.h
 */
@@ -43,6 +43,15 @@
 #define UNUSED(x)       (x=0, (void)(x))
 
 
+/* test for sizes in 'l_sprintf' (make sure whole buffer is available) */
+#undef l_sprintf
+#if !defined(LUA_USE_C89)
+#define l_sprintf(s,sz,f,i)	(memset(s,0xAB,sz), snprintf(s,sz,f,i))
+#else
+#define l_sprintf(s,sz,f,i)	(memset(s,0xAB,sz), sprintf(s,f,i))
+#endif
+
+
 /* memory-allocator control variables */
 typedef struct Memcontrol {
   unsigned long numblocks;
diff --git a/src/ltests.c b/src/ltests.c
index 2e12381a..da9e14da 100644
--- a/src/ltests.c
+++ b/src/ltests.c
@@ -1,5 +1,5 @@
 /*
-** $Id: ltests.c,v 2.205 2015/04/02 21:10:21 roberto Exp $
+** $Id: ltests.c,v 2.209 2015/10/12 16:38:19 roberto Exp $
 ** Internal Module for Debugging of the Lua Implementation
 ** See Copyright Notice in lua.h
 */
@@ -915,7 +915,7 @@ static int doremote (lua_State *L) {
 static int int2fb_aux (lua_State *L) {
   int b = luaO_int2fb((unsigned int)luaL_checkinteger(L, 1));
   lua_pushinteger(L, b);
-  lua_pushinteger(L, (unsigned int) luaO_fb2int(b));
+  lua_pushinteger(L, (unsigned int)luaO_fb2int(b));
   return 2;
 }
 
